{% set PageTitle = "Components" %}

{% extends "master.html" %}

{% block NavBreadcrumb %}
<script>
	ReactDOM.render(React.createElement(Components.Breadcrumb, {
      items: [
          { label: "Components",   url: "components.html" },
          { label: "Headers",   url: "" }
      ]
  }), document.getElementById("breadcrumb"));
</script>
{% endblock %}

{% block styles %}
{% endblock %}

{% block header %}{% endblock %}

{% block main %}
	<div id="headers"></div>
{% endblock %}

{% block scripts %}
 	<script>
 		var themes = ['blackcurrant', 'mint', 'dusty-mint', 'pistachio', 'dusty-pistachio', 'apricot', 'light-apricot', 'light-meadow', 'light-bluebell', 'strawberry', 'teal', 'clover'];

 		var header = document.getElementById("headers");

 		for(var i = 1; i <= themes.length; i++) {

 			var element = document.createElement("div");
 			element.id	= "header-" + i;

 			header.appendChild(element);

 			ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
		        desktopImage:{},
		        mobImage:{},
		        altText:"image alt text goes here",
		        theme:{
		        	themeName:themes[i - 1],
							//textColour:'black'
		        },
		        label:"",
                labelLink:'<a href="#">Articles</a>',
		        article:{
		          headline:"Flight cancelled? How to claim and what you're covered for.",
		          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
		          readTime:"5 min read",
		        }
		    }), document.getElementById(element.id));

		    //

		    element = document.createElement("div");
 			element.id	= "header-img-" + i;

 			header.appendChild(element);

 			ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
				desktopImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        },
	      mobImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        },
				altText:"image alt text goes here",
				theme:{
					themeName:themes[i - 1]
				},
				label:"",
						labelLink:'<a href="#">Articles</a>',
				article:{
					headline:"Flight cancelled? How to claim and what you're covered for.",
					date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
					readTime:"5 min read",
				}
			}), document.getElementById(element.id));
 		}
    </script>
{% endblock %}

